Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key.srp6
Class SRP6TLSServer

    java.lang.Object
      |
      +--gnu.crypto.key.BaseKeyAgreementParty
            |
            +--gnu.crypto.key.srp6.SRP6KeyAgreement
                  |
                  +--gnu.crypto.key.srp6.SRP6TLSServer

All Implemented Interfaces:
  IKeyAgreementParty

Direct Known Subclasses:
  SRP6SaslServer

public class SRP6TLSServer
extends SRP6KeyAgreement

A variation of the SRP6 key agreement protocol, for the server-side as proposed in Using SRP for TLS Authentication. The only difference between it and the SASL variant is that the shared secret is the entity `S` and not `H(S)`.

Field Summary

Fields inherited from class gnu.crypto.key.srp6.SRP6KeyAgreement
`g, GENERATOR, HASH_FUNCTION, HOST_PASSWORD_DB, K, N, SHARED_MODULUS, SOURCE_OF_RANDOMNESS, srp, THREE, USER_IDENTITY, USER_PASSWORD`

Fields inherited from class gnu.crypto.key.BaseKeyAgreementParty
`complete, initialised, irnd, name, rnd, step, TWO`

Constructor Summary
`SRP6TLSServer()`

Method Summary
`protected OutgoingMessage` | `computeSharedSecret(IncomingMessage in)`
`protected void` | `engineInit(java.util.Map attributes)`
`protected OutgoingMessage` | `engineProcessMessage(IncomingMessage in)`
`protected void` | `engineReset()`

Methods inherited from class gnu.crypto.key.srp6.SRP6KeyAgreement
`engineSharedSecret, uValue`

Methods inherited from class gnu.crypto.key.BaseKeyAgreementParty
`getSharedSecret, init, isComplete, name, nextRandomBytes, processMessage, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRP6TLSServer

    public SRP6TLSServer()

Method Detail

### engineInit

    protected void engineInit(java.util.Map attributes)
                       throws KeyAgreementException

  Specified by:
    `engineInit` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineProcessMessage

    protected OutgoingMessage engineProcessMessage(IncomingMessage in)
                                            throws KeyAgreementException

  Specified by:
    `engineProcessMessage` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineReset

    protected void engineReset()

  Overrides:
    `engineReset` in class `SRP6KeyAgreement`

### computeSharedSecret

    protected OutgoingMessage computeSharedSecret(IncomingMessage in)
                                           throws KeyAgreementException

    `KeyAgreementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.